import { ExportOptions, LayerField, LayerQueryOptions, LayerStatisticsOptions, LayerService } from './layer-service';
export declare class ArcGISMapImageSubLayerService extends LayerService {
    layer: any;
    parentLayer: any;
    constructor(layer: any);
    getFields(): Promise<LayerField[]>;
    getUniqueValues(field: string, options?: LayerQueryOptions): Promise<any[]>;
    queryFeaturesCount(options: LayerQueryOptions): Promise<number>;
    queryFeatures(options: LayerQueryOptions): Promise<any>;
    queryStatistics(options: LayerStatisticsOptions): Promise<any>;
    exportAttributes(queryOptions: LayerQueryOptions, exportOptions: ExportOptions): Promise<any>;
    _queryFeatures(options: LayerQueryOptions): Promise<any>;
    _queryStatistics(options: any): Promise<any>;
    /**
     * @param geometry 几何转换(如果是圆，要转化成多边形， arcgis不支持圆)
     */
    _convertGeometry(geometry: any): any;
    /**
     * 转换属性过滤条件为ArcGIS地图服务的属性过滤条件
     * @param attributeFilter 属性过滤条件
     * @returns ArcGIS地图服务的属性过滤条件
     */
    _convertAttributeFilter(attributeFilter: any): any;
    /**
     * 转换查询选项
     *
     * @param options 查询选项
     * @returns 转换后的查询选项
     */
    _convertQueryOptions(options: LayerQueryOptions): {
        layerId: any;
        geometry: any;
        distance: number;
        where: any;
        outFields: string;
        objectIds: string;
        returnCountOnly: boolean;
        resultOffset: number;
        resultRecordCount: number;
    };
    /**
     * 字段统计信息转为ArcGIS字段统计信息
     * @param outStatistics igs outStatistics
     */
    _outStatisticsToArcGISOutStatistics(outStatistics: any): any;
    /**
     * ArcGIS字段类型转为IGS字段类型
     * @param fields ArcGIS字段类型
     * @returns 转换后的字段类型
     */
    _convertFieldsType(fields: any): any;
    _cover: any;
}
